summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorAdrian Perez de Castro2019-02-15 17:17:53 +0200
committerAdrian Perez de Castro2019-02-15 17:17:53 +0200
commit3fc5944a2e81defbc9a68a8a3d65c442c492b8df (patch)
treee2e3d1e2303c668287f2dda4d6ddf06a4ca5c892 /PKGBUILD
downloadaur-wf-sound-control-git.tar.gz
Initial import
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD34
1 files changed, 34 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..5ee187ed591
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,34 @@
+# Maintainer: Adrian Perez de Castro <aperez@igalia.com>
+pkgname=wf-sound-control-git
+pkgver=r8.21fb8fd
+pkgrel=1
+pkgdesc='Small utility for the Wayfire compositor to control sound volume'
+url=https://wayfire.org
+arch=(x86_64)
+license=(custom:MIT)
+provides=("${pkgname%-fit}")
+conflicts=("${pkgname%-git}")
+depends=(gtkmm3)
+makedepends=(wayland-protocols meson ninja git)
+source=("${pkgname}::git+https://github.com/WayfireWM/wf-sound-control")
+sha512sums=('SKIP')
+
+pkgver () {
+ cd "${pkgname}"
+ (
+ set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+build () {
+ rm -rf build
+ arch-meson "${pkgname}" build
+ ninja -C build
+}
+
+package () {
+ DESTDIR="${pkgdir}" ninja -C build install
+ cd "${pkgname}"
+}